tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ganey, Todd" <gane...@dshs.wa.gov>
Subject RE: tomcat and jce
Date Fri, 24 May 2002 14:36:30 GMT
Yes it works for me.  I have had Tomcat 4.0.X with JCE work in JDK1.3 (with
the JCE jars in the appropriate places) and right now I have it working in
JDK1.4 .  I don't have any suggestions as I have no clue where your program
gives up the ghost.  But if your problem has to do with getting the provider
try registering it dynamically in JDK1.3, JDK1.4 worked with minor
adjustments from my 1.3 code, most of them caught in compile time.

HTH,
Todd

-----Original Message-----
From: Dennis Muhlestein [mailto:dennis@zserve.com]
Sent: Thursday, May 23, 2002 3:54 PM
To: Tomcat Users List
Subject: tomcat and jce


I've searched the list far and wide for solutions to the jce issues with
tomcat.  Basically old posts say to installing sunjce in the
JAVA_HOME/jre/lib/ext dir and modifying java.security to allow the use
of SunJCE.  

For me, this isn't working with Tomcat 4.0.3.  Does it work for anyone
else?  

I've also tried js2dk1.4.0 which has jce embedded already.  That also
doesn't work.

I am working with jboss and can get my ejbs to use the crypto provider
so I belive there is still an issue with tomcat.  This problem arises if
I run tomcat by itself, of if I embed it in jboss.

Any suggestions?

-Thanks
Dennis


--
To unsubscribe, e-mail:
<mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail:
<mailto:tomcat-user-help@jakarta.apache.org>



--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message